Bug 806997 - remmina-plugins-rdp has broken dependencies
remmina-plugins-rdp has broken dependencies
Status: CLOSED DUPLICATE of bug 804742
Product: Fedora
Classification: Fedora
Component: remmina-plugins (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Christoph Wickert
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-26 13:52 EDT by Jason Montleon
Modified: 2012-04-13 19:46 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-04-13 19:46:13 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jason Montleon 2012-03-26 13:52:24 EDT
Description of problem:
It looks like freerdp-libs, remmina, etc. were updated, but not the remmina-plugins. I do not see an updated version in koji either.

Loaded plugins: langpacks, presto, refresh-packagekit
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package remmina-plugins-rdp.x86_64 0:0.9.2-5.fc17 will be installed
--> Processing Dependency: libfreerdpkbd.so.0()(64bit) for package: remmina-plugins-rdp-0.9.2-5.fc17.x86_64
--> Processing Dependency: libfreerdpchanman.so.0()(64bit) for package: remmina-plugins-rdp-0.9.2-5.fc17.x86_64
--> Processing Dependency: libfreerdp.so.0()(64bit) for package: remmina-plugins-rdp-0.9.2-5.fc17.x86_64
--> Finished Dependency Resolution
Error: Package: remmina-plugins-rdp-0.9.2-5.fc17.x86_64 (fedora)
           Requires: libfreerdp.so.0()(64bit)
           Available: freerdp-libs-0.8.2-4.fc17.x86_64 (fedora)
               libfreerdp.so.0()(64bit)
           Installed: freerdp-libs-1.0.1-5.fc17.x86_64 (@updates-testing)
               Not found
Error: Package: remmina-plugins-rdp-0.9.2-5.fc17.x86_64 (fedora)
           Requires: libfreerdpchanman.so.0()(64bit)
           Available: freerdp-libs-0.8.2-4.fc17.x86_64 (fedora)
               libfreerdpchanman.so.0()(64bit)
           Installed: freerdp-libs-1.0.1-5.fc17.x86_64 (@updates-testing)
               Not found
Error: Package: remmina-plugins-rdp-0.9.2-5.fc17.x86_64 (fedora)
           Requires: libfreerdpkbd.so.0()(64bit)
           Available: freerdp-libs-0.8.2-4.fc17.x86_64 (fedora)
               libfreerdpkbd.so.0()(64bit)
           Installed: freerdp-libs-1.0.1-5.fc17.x86_64 (@updates-testing)
               Not found
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest

Version-Release number of selected component (if applicable):
remmina-0.9.3-5.fc17.x86_64
freerdp-1.0.1-5.fc17.x86_64
freerdp-libs-1.0.1-5.fc17.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Install or update to Fedora 17
2. Install remmina
3. Try to install remmina-plugins-rdp
  
Actual results:
The package cannot install due to broken dependencies

Expected results:
The package should install

Additional info:
On the sourceforge page at http://sourceforge.net/projects/remmina/files/0.9/ it looks like the latest version of the plugins is 0.9.2 as is currently available in Fedora 17, however when trying to rebuild with the latest remmina and freedrp installed it fails to build:
In file included from remminapluginrdp.c:21:0:
remminapluginrdp.h:26:29: fatal error: freerdp/chanman.h: No such file or directory
compilation terminated.
In file included from remminapluginrdpui.c:23:0:
remminapluginrdp.h:26:29: fatal error: freerdp/chanman.h: No such file or directory
compilation terminated.
make[2]: *** [remmina_plugin_rdp_la-remminapluginrdp.lo] Error 1
make[2]: *** Waiting for unfinished jobs....
make[2]: *** [remmina_plugin_rdp_la-remminapluginrdpui.lo] Error 1
make[2]: Leaving directory `/home/jason/rpmbuild/BUILD/remmina-plugins-0.9.2/rdp'
make[1]: *** [all-recursive] Error 1
make[1]: Leaving directory `/home/jason/rpmbuild/BUILD/remmina-plugins-0.9.2'
make: *** [all] Error 2
error: Bad exit status from /var/tmp/rpm-tmp.zQwE6T (%build)

From the GitHub page linked from http://remmina.sourceforge.net/ (https://github.com/FreeRDP/Remmina/downloads) it looks like version 1.0.0 is available for download, with the plugins included in the main archive.
Comment 1 Nathanael Noblet 2012-04-13 18:05:25 EDT
ping... I've got the same problem after updating from F15 I can no longer connect via rdp
Comment 2 Christoph Wickert 2012-04-13 19:46:13 EDT
Remmina still installs fine if you use the older freerdp version of F17. F17 is still under development and things like this can happen. If you cannot risk this, please don't upgrade to a beta version.

*** This bug has been marked as a duplicate of bug 804742 ***

Note You need to log in before you can comment on or make changes to this bug.